Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ForeignKeyDeleteAction

    java.lang.Object
      com.sleepycat.db.ForeignKeyDeleteAction

    public class ForeignKeyDeleteAction

extends Object

Field Summary
`static ForeignKeyDeleteAction` | `ABORT`
`static ForeignKeyDeleteAction` | `CASCADE`
`static ForeignKeyDeleteAction` | `NULLIFY`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ABORT

    public static ForeignKeyDeleteAction ABORT

### CASCADE

    public static ForeignKeyDeleteAction CASCADE

### NULLIFY

    public static ForeignKeyDeleteAction NULLIFY

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2009 Oracle. All rights reserved.